import java.sql as sql
import java.lang as lang
import time

dbname = "blair"

try:
    lang.Class.forName("org.hsqldb.jdbcDriver").newInstance()
except lang.ClassNotFoundException:
    print "No JDBC driver found; check classpath?"

try:
    connection = sql.DriverManager.getConnection("jdbc:hsqldb:file:" + dbname)
    statement = connection.createStatement()
except sql.SQLException, ex:
    print "Couldn't connect to database", ex
        
try:
    rs = statement.executeQuery("SELECT * FROM CHATS")
    while rs.next():
        print "Chat ID:", rs.getInt("CHAT_ID"), "Initiator:", rs.getString("INITIATOR"), "Start Time:", rs.getInt("START")
except sql.SQLException, ex:
    print "Trouble executing query", ex

statement.executeQuery("SHUTDOWN")
statement.close()
connection.close()

